Bug 1017338 - Segfault in large bitset array
Segfault in large bitset array
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Judy (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 12:33 EDT by Remi Collet
Modified: 2013-10-20 21:03 EDT (History)
1 user (show)

See Also:
Fixed In Version: Judy-1.0.5-7.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-20 21:03:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer.c (1.18 KB, text/x-csrc)
2013-10-09 12:33 EDT, Remi Collet
no flags Details

  None (edit)
Description Remi Collet 2013-10-09 12:33:59 EDT
Created attachment 810043 [details]
reproducer.c

Working on pecl/Judy extension and trying to understand issue in the test suite, I finally think this is a bug in Judy library.

Please try the minimal reproducer attached.

$ gcc -Wall -lJudy reproducer.c -o reproducer

$ ./reproducer 3
OK - bit successfully set at 1
OK - bit successfully set at 2
2 bits set in Judy1 array
2 Indexes used 24 bytes of memory
OK - first bit set is at 1

$ ./reproducer 3
...
OK - bit successfully set at 269
OK - bit successfully set at 270
Erreur de segmentation (core dumped)


P.S. I have another issue with the iterator (JSLN) I will try to provide another reproducer.
Comment 1 Paul Howarth 2013-10-09 13:12:50 EDT
Have you reported this upstream? That would seem to be the best place to me.
Comment 2 Remi Collet 2013-10-09 13:24:45 EDT
(In reply to Paul Howarth from comment #1)
> Have you reported this upstream? That would seem to be the best place to me.

No, but as last version is from 2009... I'm a bit afraid...
Will try to investigate a little first.


P.S. and forget the JSLN, it works perfectly.
Comment 3 Remi Collet 2013-10-10 00:52:15 EDT
NB: this is a 64bits only bug. i386 is not affected.
Comment 4 Remi Collet 2013-10-10 13:16:03 EDT
@Paul, after some investigation, this is a gcc issue at the time this package (Judy-1.0.5-6.fc19) was build.

No issue with all tested build (fc14 to fc20, el5 and el6).

A simple rebuild with current gcc version in F19 solves this issue.

Can you please take care of this (I can do it if you prefer).
Comment 5 Fedora Update System 2013-10-10 16:14:38 EDT
Judy-1.0.5-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/Judy-1.0.5-7.fc19
Comment 6 Fedora Update System 2013-10-11 20:04:39 EDT
Package Judy-1.0.5-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Judy-1.0.5-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18927/Judy-1.0.5-7.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-10-20 21:03:26 EDT
Judy-1.0.5-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.